/* $Id$ */
#if !defined FILEINFO_H
#define FILEINFO_H

#include <time.h>
#include "common.h"

typedef struct fileInfo FileInfo;

BEGIN_C_DECLS

FileInfo *fileInfo_new(const unsigned char *p);
void fileInfo_delete(FileInfo *p);

const char *fileInfo_filename(FileInfo *info);
int fileInfo_unknown(FileInfo *info);
int fileInfo_size(FileInfo *info);
time_t fileInfo_time(FileInfo *info);
int fileInfo_usec(FileInfo *info);

END_C_DECLS

#endif /* !FILEINFO_H */
