/* $Id$ */
#if !defined FILELIST_H
#define FILELIST_H

#include "common.h"

typedef struct fileList FileList;

BEGIN_C_DECLS

FileList *fileList_new(const unsigned char *data, size_t len);
void fileList_delete(FileList *p);
const char *fileList_get(FileList *list, size_t index);
size_t fileList_size(FileList *list);

END_C_DECLS

#endif /* !FILELIST_H */
