/* $Id$ */
#if !defined READWRITE_H
#define READWRITE_H

#include "common.h"
#include "frame.h"


BEGIN_C_DECLS

int recv_frame(int fd, Frame *frame, int retry);
int send_frame(int fd, Frame *frame, int retry);

void get_own_number(int fd, char *buf, size_t n);
int get_receiving_level(int fd);
int open_extend_mode(int fd);
void close_extend_mode(int fd);

int open_device(const char *path);
void close_device(int fd);

END_C_DECLS

#endif /* !READWRITE_H */
