/* $Id */
#if !defined CODES_H
#define CODES_H

#define NUL 0x00
#define SOH 0x01 /* Start Of Heading */
#define STX 0x02 /* Start of Text */
#define ETX 0x03 /* End of Text */
#define EOT 0x04 /* End Of Transmission */
#define ENQ 0x05 /* ENQuiry */
#define ACK 0x06 /* Acknowledge */
#define BEL 0x07 /* Bell */
#define BS  0x08 /* Back Space */
#define HT  0x09 /* Horizontal Tabulation */
#define LF  0x0a /* Line Feed */
#define VT  0x0b /* Vertical Tabulation */
#define FF  0x0c /* Form Feed */
#define CR  0x0d /* Carriage Return */
#define SO  0x0e /* Shift Out */
#define SI  0x0f /* Shift In */
#define DLE 0x10 /* Data Link Escape */
#define DC1 0x11 /* Device Control 1 */
#define DC2 0x12 /* Device Control 2 */
#define DC3 0x13 /* Device Control 3 */
#define DC4 0x14 /* Device Control 4 */
#define NAK 0x15 /* Negative Acknowledge */
#define SYN 0x16 /* Synchronous idle */
#define ETB 0x17 /* End of Transmission Block */
#define CAN 0x18 /* Cancel */
#define EM  0x19 /* End of Medium */
#define SUB 0x1a /* Substitute */
#define ESC 0x1b /* Escape */
#define FS  0x1c /* File Separator */
#define GS  0x1d /* Group Separator */
#define RS  0x1e /* Record Separator */
#define US  0x1f /* Unit Separator */
#define SPC 0x20 /* Space */
#define DEL 0x7f /* Delete */

#endif /* !CODES_H */
